MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025169Community[OCCT] OCCT:Data Exchangepublic2014-08-19 17:292014-11-11 12:58
Reporterdrazmyslovich 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025169: STEP Reader - allow opened shells to be an outer for ManifoldSolidBrep
DescriptionT-Systems COM/FOX Version 5.5.0 can generate STEP files, where OpenShell will be passed to ManifoldSolidBrep as an outer, which is ignored during import, since a closed is expected.
It would be great to be able to import such step files as well.
Steps To ReproduceUnfortunately, as usual, the file is highly classified.
TagsNo tags attached.
Test case numberbugs step(014) bug25169
Attached Files? file icon box-openshell.stp (16,595 bytes) 2014-08-19 18:25

- Relationships
parent of 0025176closedbugmaster Open CASCADE STEP Reader - no error report if referenced entity has wrong type 

-  Notes
(0030899)
git (administrator)
2014-08-19 17:31

Branch CR25169 has been created by drazmyslovich.

SHA-1: 5dab7d01360dfd05f30723dd2762b0e6739bd455


This branch includes the following new commits:

       new 5dab7d0 0025169: allow opened shells to be an outer for ManifoldSolidBrep


Detailed log of new commits:

commit 5dab7d01360dfd05f30723dd2762b0e6739bd455
Author: razmyslovich
Date: Tue Aug 19 15:31:06 2014 +0200

    0025169: allow opened shells to be an outer for ManifoldSolidBrep
(0030900)
drazmyslovich (developer)
2014-08-19 17:31

The feature is committed, please, review it
(0030903)
abv (manager)
2014-08-19 18:27

I have attached a synthetic test file, box-openshell.stp, which will likely allow reproducing the problem and testing the fix. It is just a box written by OCCT with CLOSED_SHELL entity replaced by OPEN_SHELL. In current master, reading this file produces empty compound.
(0030926)
gka (developer)
2014-08-20 12:32

Branch CR21569 is ready to be tested
(0031000)
apv (tester)
2014-08-21 13:43
edited on: 2014-08-21 17:58

Dear BugMaster,

Branch CR25169 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 5dab7d01360dfd05f30723dd2762b0e6739bd455

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
bugs step bug25169 - OK
http://occt-tests/CR25169-master-occt/Debian60-64/bugs/step/bug25169.html [^]
http://occt-tests/CR25169-master-occt/Windows-32-VC10/bugs/step/bug25169.html [^]

Testing on Linux:
Total MEMORY difference: 352215828 / 351913792
Total CPU difference: 43105.14999999991 / 45954.130000000136

Testing on Windows:
Total MEMORY difference: 239945652 / 239728968
Total CPU difference: 41239.421875 / 32650.4375

(0031479)
git (administrator)
2014-09-08 15:52

Branch CR25169 has been deleted by inv.

SHA-1: 5dab7d01360dfd05f30723dd2762b0e6739bd455

- Related Changesets
occt: master eab2c851
Timestamp: 2014-08-19 13:31:06
Author: drazmyslovich
Committer: bugmaster
Details ] Diff ]
0025169: STEP Reader - allow opened shells to be an outer for ManifoldSolidBrep

Allow opened shells to be an outer for ManifoldSolidBrep
mod - src/RWStepShape/RWStepShape_RWManifoldSolidBrep.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/StepShape/StepShape_ManifoldSolidBrep.cdl Diff ] File ]
mod - src/StepShape/StepShape_ManifoldSolidBrep.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_Builder.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-19 17:29 drazmyslovich New Issue
2014-08-19 17:29 drazmyslovich Assigned To => gka
2014-08-19 17:31 git Note Added: 0030899
2014-08-19 17:31 drazmyslovich Note Added: 0030900
2014-08-19 17:31 drazmyslovich Status new => resolved
2014-08-19 18:25 abv File Added: box-openshell.stp
2014-08-19 18:27 abv Note Added: 0030903
2014-08-20 12:32 gka Note Added: 0030926
2014-08-20 12:32 gka Status resolved => reviewed
2014-08-20 12:46 apv Assigned To gka => apv
2014-08-20 18:21 abv Relationship added parent of 0025176
2014-08-21 13:43 apv Note Added: 0031000
2014-08-21 13:44 apv Assigned To apv => bugmaster
2014-08-21 13:44 apv Status reviewed => tested
2014-08-21 17:57 apv Test case number => bugs step(014) bug25169
2014-08-21 17:58 apv Note Edited: 0031000 View Revisions
2014-08-22 15:42 bugmaster Changeset attached => occt master eab2c851
2014-08-22 15:42 bugmaster Status tested => verified
2014-08-22 15:42 bugmaster Resolution open => fixed
2014-09-08 15:52 git Note Added: 0031479
2014-11-11 12:45 user533 Fixed in Version => 6.8.0
2014-11-11 12:58 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker